/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Bank of the account.
 */
@ApiModel(description = "Bank of the account.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model247 {
  @SerializedName("name")
  private String name = null;

  @SerializedName("bank_code")
  private String bankCode = null;

  @SerializedName("branch_code")
  private String branchCode = null;

  @SerializedName("address")
  private Model246 address = null;

  public Model247 name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Name of the bank.
   * @return name
  **/
  @ApiModelProperty(value = "Name of the bank.")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Model247 bankCode(String bankCode) {
    this.bankCode = bankCode;
    return this;
  }

   /**
   * Code of the bank.
   * @return bankCode
  **/
  @ApiModelProperty(value = "Code of the bank.")
  public String getBankCode() {
    return bankCode;
  }

  public void setBankCode(String bankCode) {
    this.bankCode = bankCode;
  }

  public Model247 branchCode(String branchCode) {
    this.branchCode = branchCode;
    return this;
  }

   /**
   * Code of the branch.
   * @return branchCode
  **/
  @ApiModelProperty(value = "Code of the branch.")
  public String getBranchCode() {
    return branchCode;
  }

  public void setBranchCode(String branchCode) {
    this.branchCode = branchCode;
  }

  public Model247 address(Model246 address) {
    this.address = address;
    return this;
  }

   /**
   * Get address
   * @return address
  **/
  @ApiModelProperty(value = "")
  public Model246 getAddress() {
    return address;
  }

  public void setAddress(Model246 address) {
    this.address = address;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model247 model247 = (Model247) o;
    return Objects.equals(this.name, model247.name) &&
        Objects.equals(this.bankCode, model247.bankCode) &&
        Objects.equals(this.branchCode, model247.branchCode) &&
        Objects.equals(this.address, model247.address);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, bankCode, branchCode, address);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model247 {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    bankCode: ").append(toIndentedString(bankCode)).append("\n");
    sb.append("    branchCode: ").append(toIndentedString(branchCode)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

